/*		Q/C V3.2 Utility Library		*/
/*     Copyright (c) 1984 Quality Computer Systems	*/
/*			11/25/84			*/

#include "stdio.h"

/* get the byte at address */
peek(address)
char *address;
	{
	return (*address & 0xFF);
	}
/* put value in the byte at address */
poke(address, value)
char *address, value;
	{
	int oldval;

	oldval = (*address & 0xFF);
	*address = value;
	return oldval;
	}
/* get the word at address */
wpeek(address)
int *address;
	{
	return *address;
	}
/* put value in the word at address */
wpoke(address, value)
int *address;
	{
	int oldval;

	oldval = *address;
	*address = value;
	return oldval;
	}
